<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
 elementFormDefault="qualified">

<xsd:include schemaLocation="common_obj_ip_span.xsd"/>
	
	<xsd:element name="IP_SERVICE" type="IpServiceContent"/>
	<xsd:element name="MASK" type="IpAddressType"/>
	<xsd:element name="DEFAULT_ROUTER" type="IpAddressType"/>
	<xsd:element name="ROUTER_LIST" type="RouterListContent"/>
	<xsd:element name="ROUTER" type="RouterContent"/>
	<xsd:element name="REMOTE_IP" type="IpAddressType"/>
	<xsd:element name="REMOTE_FLAG" type="RemoveFlagType"/>
	<xsd:element name="SUBNET_MASK" type="IpAddressType"/>
	<xsd:element name="DHCP_SERVER" type="xsd:boolean" default="false"/>
	<xsd:element name="GATEKEEPER_TYPE" type="GateKeeperType"/>
	<xsd:element name="GATEKEEPER" type="GateKeeperContent"/>
	<xsd:element name="EXTERNAL_GATEKEEPER_ADDRESS" type="IpAddressType"/>
	<xsd:element name="GATEKEEPER_DISCOVERY_PORT" type="xsd:integer"/>
	<xsd:element name="FORWARDING" type="xsd:boolean" default="false"/>
	<xsd:element name="GATE_KEEPER_MODE" type="GateKeeperModeType"/>
	<xsd:element name="RRQ_POLLING" type="xsd:boolean" default="false"/>
	<xsd:element name="RRQ_POLLING_INTERVAL" type="xsd:integer"/>
	<xsd:element name="PROTOCOL_TYPE" type="ProtocolType"/>
	<xsd:element name="OBTAIN_IP_AUTOMATICALLY" type="xsd:integer"/>		<!--not supported-->
	<xsd:element name="DNS" type="DnsContent"/>
	<xsd:element name="REGISTER_DNS_NAME_AUTOMATICALLY" type="xsd:boolean" default="false"/>
	<xsd:element name="SERVERS_IP_LIST" type="ServerIpListContent"/>
	<xsd:element name="ACCEPT_CALLS_VIA_DNS" type="xsd:integer"/>
	<xsd:element name="SECURITY" type="SecurityContent"/>
	<xsd:element name="AUTHENTICATION" type="AuthenticationContent"/>
	<xsd:element name="HTTP_DIGEST_LIST" type="HttpDigestListContent"/>
	<xsd:element name="HTTP_DIGEST" type="HttpDigestContent"/>
	<xsd:element name="USER" type="xsd:string"/>
	<xsd:element name="DOMAIN" type="xsd:string"/>
	<xsd:element name="SERVER_NAME" type="xsd:string"/>
	<xsd:element name="KEYS_IP" type="IpAddressType"/>
	<xsd:element name="IP_PREFIX" type="xsd:string"/>
	<xsd:element name="SIP" type="SipContent"/>
	<xsd:element name="OUTBOUND_PROXY" type="SipServerBaseParamContent"/>
	<xsd:element name="BASE_PARAM" type="SipServerBaseParamContent"/>
	<xsd:element name="PREFERRED_SIP_SERVER" type="SipServerContent"/>
	<xsd:element name="ALTERNATE_SIP_SERVER" type="SipServerContent"/>
	<xsd:element name="REFRESH_REGISTRAR_TIME_OUT" type="xsd:integer"/>							<!--not supported-->
	<xsd:element name="REGISTRATION_ONGOING_CONFERENCES" type="xsd:boolean" default="false"/>
	<xsd:element name="REGISTRATION_MEETING_ROOMS" type="xsd:boolean" default="false"/>
	<xsd:element name="REGISTRATION_ENTRY_QUEUE" type="xsd:boolean" default="false"/>
	<xsd:element name="REGISTRATION_FACTORIES" type="xsd:boolean" default="false"/>
	<xsd:element name="REGISTRATION_GATEWAY_PROFILES" type="xsd:boolean" default="false"/>
	<xsd:element name="ACCEPT_MEET_ME" type="xsd:boolean" default="false"/>
	<xsd:element name="ACCEPT_ADHOC" type="xsd:boolean" default="false"/>
	<xsd:element name="ACCEPT_FACTORY" type="xsd:boolean" default="false"/>
	<xsd:element name="GATEKEEPER_NAME" type="xsd:string"/>
	<xsd:element name="ALT_GATEKEEPER_NAME" type="xsd:string"/>
	<xsd:element name="AUTO_REGISTRATION_SPAN_HOST_NAME" type="xsd:boolean" default="false"/>
	<xsd:element name="ENABLE" type="xsd:boolean" default="false"/>
	<xsd:element name="TRANSPORT_TYPE" type="TransportTypeEnum"/>
	<xsd:element name="CONFIGURATION_SIP_SERVERS_MODE" type="ConfigureSipServersType"/>
	<xsd:element name="REGISTRATION_MODE" type="RegistrarModeType"/>
	<xsd:element name="REFRESH_REGISTRATION_TOUT" type="xsd:integer" default="3600"/>
	<xsd:element name="VPN_IP" type="IpAddressType"/>
	<xsd:element name="IP_SERVICE_TYPE" type="IpServiceType"/>
	<xsd:element name="IS_REGISTER_AS_GATEWAY" type="xsd:boolean" default="false"/>
	<xsd:element name="IS_SUPPORTED" type="xsd:boolean" default="false"/>
	<xsd:element name="PRIORITY" type="xsd:integer"/>
	<xsd:element name="VLAN" type="VlanContent"/>
	<xsd:element name="PORT_SPEED_LIST" type="PortSpeedListContent"/>
	<xsd:element name="PORT_SPEED" type="PortSpeedContent"/>
	<xsd:element name="IS_SECURED" type="xsd:boolean" default="false"/>
	<xsd:element name="PERMANENT_NETWORK" type="xsd:boolean" default="true"/>

	<xsd:complexType name="VlanContent">
		<xsd:sequence>
			<xsd:element ref="IS_SUPPORTED" minOccurs="0"/>
			<xsd:element ref="ID" minOccurs="0"/>
			<xsd:element ref="PRIORITY" minOccurs="0"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:simpleType name="TransportTypeEnum">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="udp"/>
			<xsd:enumeration value="tcp"/>
			<xsd:enumeration value="tls"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:complexType name="SipServerBaseParamContent">
		<xsd:sequence>
			<xsd:element ref="SERVER_STATUS" minOccurs="0"/>
			<xsd:element ref="NAME" minOccurs="0"/>
			<xsd:element ref="PORT" minOccurs="0"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>
	<xsd:complexType name="SipServerContent">
		<xsd:sequence>
			<xsd:element ref="BASE_PARAM" minOccurs="0"/>
			<xsd:element ref="DOMAIN_NAME" minOccurs="0"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:simpleType name="ConfigureSipServersType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="auto"/>
			<xsd:enumeration value="manually"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="RegistrarModeType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="redirect"/>
			<xsd:enumeration value="polling"/>
			<xsd:enumeration value="move"/>
			<xsd:enumeration value="dns"/>
			<xsd:enumeration value="forking"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:complexType name="SipContent">
		<xsd:sequence>
			<xsd:element ref="OUTBOUND_PROXY" minOccurs="0"/>
			<xsd:element ref="PREFERRED_SIP_SERVER" minOccurs="0"/>
			<xsd:element ref="ALTERNATE_SIP_SERVER" minOccurs="0"/>
			<xsd:element ref="TRANSPORT_TYPE" minOccurs="0"/>
			<xsd:element ref="CONFIGURATION_SIP_SERVERS_MODE" minOccurs="0"/>
			<xsd:element ref="REGISTRATION_ONGOING_CONFERENCES" minOccurs="0"/>
			<xsd:element ref="REGISTRATION_MEETING_ROOMS" minOccurs="0"/>
			<xsd:element ref="REGISTRATION_ENTRY_QUEUE" minOccurs="0"/>
			<xsd:element ref="ACCEPT_MEET_ME" minOccurs="0"/>
			<xsd:element ref="ACCEPT_ADHOC" minOccurs="0"/>
			<xsd:element ref="ACCEPT_FACTORY" minOccurs="0"/>
			<xsd:element ref="REGISTRATION_MODE" minOccurs="0"/>		<!--not supported-->
			<xsd:element ref="REFRESH_REGISTRATION_TOUT" minOccurs="0"/>
			<xsd:element ref="REGISTRATION_FACTORIES" minOccurs="0"/>
			<xsd:element ref="REGISTRATION_GATEWAY_PROFILES" minOccurs="0"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="HttpDigestContent">
		<xsd:sequence>
			<xsd:element ref="USER" minOccurs="0"/>
			<xsd:element ref="PASSWORD" minOccurs="0"/>
			<xsd:element ref="DOMAIN" minOccurs="0"/>
			<xsd:element ref="SERVER_NAME" minOccurs="0"/>
			<xsd:element ref="KEYS_IP" minOccurs="0"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="HttpDigestListContent">
		<xsd:sequence>
			<xsd:element ref="HTTP_DIGEST" minOccurs="0" maxOccurs="unbounded"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="AuthenticationContent">
		<xsd:sequence>
			<xsd:element ref="HTTP_DIGEST_LIST" minOccurs="0"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="SecurityContent">
		<xsd:sequence>
			<xsd:element ref="AUTHENTICATION" minOccurs="0"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="ServerIpListContent">
		<xsd:sequence>
			<xsd:element ref="IP" minOccurs="0" maxOccurs="unbounded"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="DnsContent">
		<xsd:sequence>
			<xsd:element ref="DNS_STATUS" minOccurs="0"/>
			<xsd:element ref="IP_PREFIX" minOccurs="0"/>
			<xsd:element ref="REGISTER_DNS_NAME_AUTOMATICALLY" minOccurs="0"/>
			<xsd:element ref="SERVERS_IP_LIST" minOccurs="0"/>
			<xsd:element ref="DOMAIN_NAME" minOccurs="0"/>
			<xsd:element ref="ACCEPT_CALLS_VIA_DNS" minOccurs="0"/>
			<xsd:element ref="ENABLE" minOccurs="0"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:simpleType name="ProtocolType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="h323"/>
			<xsd:enumeration value="sip"/>
			<xsd:enumeration value="sip_h323"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="GateKeeperModeType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="board_hunting"/>
			<xsd:enumeration value="basic"/>
			<xsd:enumeration value="gateway"/>
			<xsd:enumeration value="pseudo_gatekeeper"/>
			<xsd:enumeration value="pseudo_avaya_gatekeeper"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="GateKeeperType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="external"/>
			<xsd:enumeration value="internal"/>
			<xsd:enumeration value="none"/>			
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:complexType name="RouterListContent">
		<xsd:sequence>
			<xsd:element ref="ROUTER" minOccurs="0" maxOccurs="unbounded"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="RouterContent">
		<xsd:sequence>
			<xsd:element ref="IP" minOccurs="0"/>
			<xsd:element ref="REMOTE_IP" minOccurs="0"/>
			<xsd:element ref="SUBNET_MASK" minOccurs="0"/>
			<xsd:element ref="REMOTE_FLAG" minOccurs="0"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="GateKeeperContent">
		<xsd:sequence>
			<xsd:element ref="EXTERNAL_GATEKEEPER_ADDRESS" minOccurs="0"/>		<!--not supported-->
			<xsd:element ref="GATEKEEPER_DISCOVERY_PORT" minOccurs="0"/>
			<xsd:element ref="GATE_KEEPER_MODE" minOccurs="0"/>
			<xsd:element ref="ALIAS" minOccurs="0"/>
			<xsd:element ref="RRQ_POLLING" minOccurs="0"/>
			<xsd:element ref="RRQ_POLLING_INTERVAL" minOccurs="0"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:simpleType name="RemoveFlagType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="remote_network"/>
			<xsd:enumeration value="remote_host"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="IpServiceType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="ipServiceType_Signaling"/>
			<xsd:enumeration value="ipServiceType_Management"/>
			<xsd:enumeration value="ipServiceType_Control"/>
		</xsd:restriction>
	</xsd:simpleType>
	
	<xsd:complexType name="PortSpeedListContent">
		<xsd:sequence>
			<xsd:element ref="PORT_SPEED" minOccurs="0" maxOccurs="unbounded"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>
	
	<xsd:complexType name="PortSpeedContent">
		<xsd:sequence>
			<xsd:element ref="SPEED" minOccurs="0"/>
			<xsd:element ref="PORT" minOccurs="0"/>			
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:group name="IP_DETAILS">
		<xsd:sequence>
			<xsd:element ref="NAME"/>
			<xsd:element ref="IP" minOccurs="0"/>
			<xsd:element ref="MASK" minOccurs="0"/>
			<xsd:element ref="DEFAULT_ROUTER" minOccurs="0"/>
			<xsd:element ref="ROUTER_LIST" minOccurs="0"/>
			<xsd:element ref="DHCP_SERVER" minOccurs="0"/>
			<xsd:element ref="GATEKEEPER_TYPE" minOccurs="0"/>
			<xsd:element ref="GATEKEEPER" minOccurs="0"/>
			<xsd:element ref="IP_SPAN_LIST" minOccurs="0"/>
			<xsd:element ref="IP_QOS" minOccurs="0"/>
			<xsd:element ref="FORWARDING" minOccurs="0"/>
			<xsd:element ref="PROTOCOL_TYPE" minOccurs="0"/>
			<xsd:element ref="DNS" minOccurs="0"/>
			<xsd:element ref="SECURITY" minOccurs="0"/>
			<xsd:element ref="SIP" minOccurs="0"/>
			<xsd:element ref="GATEKEEPER_NAME" minOccurs="0"/>
			<xsd:element ref="ALT_GATEKEEPER_NAME" minOccurs="0"/>
			<xsd:element ref="VPN_IP" minOccurs="0"/>
			<xsd:element ref="AUTO_REGISTRATION_SPAN_HOST_NAME" minOccurs="0"/>
			<xsd:element ref="IP_SERVICE_TYPE" minOccurs="0"/>
			<xsd:element ref="IS_REGISTER_AS_GATEWAY" minOccurs="0"/>
			<xsd:element ref="VLAN" minOccurs="0"/>
			<xsd:element ref="PORT_SPEED_LIST" minOccurs="0"/>
			<xsd:element ref="IS_SECURED" minOccurs="0"/>
			<xsd:element ref="PERMANENT_NETWORK" minOccurs="0"/>		<!--not supported - fixed value is true-->
		</xsd:sequence>
	</xsd:group>

	<xsd:complexType name="IpServiceContent">
		<xsd:sequence>
			<xsd:element ref="OBJ_TOKEN" minOccurs="0"/>
			<xsd:element ref="CHANGED" minOccurs="0"/>
			<xsd:group ref="IP_DETAILS" minOccurs="0"/>			
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

</xsd:schema>
